
jQuery(function ($) {
    // Jquery Required for Event Post Submit
    jQuery("#title").attr("required", "true");


// Jquery End Date is greater then Start Date 

    jQuery("#start_event").datepicker({
        dateFormat: 'yy-mm-dd',
        minDate: new Date(),
        onSelect: function (selected) {
            var dt = new Date(selected);
            dt.setDate(dt.getDate() + 0);
            jQuery("#end_event").datepicker("option", "minDate", dt);
        }
    });
    jQuery("#end_event").datepicker({
        dateFormat: 'yy-mm-dd',
        onSelect: function (selected) {
            var dt = new Date(selected);
            dt.setDate(dt.getDate() - 0);
            jQuery("#start_event").datepicker("option", "maxDate", dt);
        }
    });


    jQuery('#start_time').timepicker({
        timeFormat: 'h:mm p',
        interval: 30,
        startTime: '10:00',
        dynamic: false,
        dropdown: true,
        scrollbar: true
    });
    jQuery('#end_time').timepicker({
        timeFormat: 'h:mm p',
        interval: 30,
        startTime: '11:00',
        dynamic: false,
        dropdown: true,
        scrollbar: true
    });

});

jQuery(function ($) {
    initializeFormBuilder();
    jQuery('#form_type').on('change', function () {
        var formTypeData = jQuery(this).val();
        initializeFormBuilder();

    });
});
var customControlElement = {datatype: "custom-element", label: "Custom Control", type: "select", subtype: "select", values: [{"label": "PI01", "value": "1", "selected": true}, {"label": "PI02", "value": "2"}, {"label": "PI03", "value": "3"}]};
function initializeFormBuilder() {
    options = {
        fields: [customControlElement]
    };
    jQuery("#fb-editor").html('');
    var container = (document.getElementById('fb-editor'));
    //jQuery(container).formBuilder(options);
}



function evp_event_series_function() {
    document.getElementById("weekly").required = true;
    document.getElementById("repday").required = true;
    var checkBox = document.getElementById("myCheck");
    var text = document.getElementById("text");
    if (checkBox.checked == true) {
        text.style.display = "block";
    } else {
        text.style.display = "none";
    }
}



function wp_week() {
    var mycheckBox = document.getElementById("weekly");
    var text1 = document.getElementById("weekbtn");
    if (mycheckBox.checked == true) {
        text1.style.display = "block";
    } else {
        text1.style.display = "none";
    }
}



jQuery(document).ready(function ($) {

    $("#evp_event_name").change(function () {
        var conceptName = $('#evp_event_name').val();
        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {action: "get_event_select_input", eveid: conceptName},
            success: function (response) {
            }
        });
    });

    jQuery('#allday').change(
            function () {

                if (jQuery(this).is(':checked') && jQuery(this).val() == 'allday') {
                    jQuery('#text').hide();
                    jQuery('#weekbtn').hide();
                }
            });

    // Volunteer Non Confirmation Email
    $('#cnf').click(function () {

        var email = jQuery(this).attr('value');
        var evp_task_name = jQuery("#evp_task_name").attr('value');
        var cname = jQuery("#cname").attr('value');
        var ename = jQuery("#ename").attr('value');
        var vid = jQuery("#vid").attr('value');
        $.ajax({
            url: evp_ajaxurl,
            type: "post",
            data: {
                'action': 'evp_vol_submit',
                'email': email,
                'evp_task_name': evp_task_name,
                'cname': cname,
                'ename': ename,
                'vid': vid,
                'conf': 'conf'
            },
            success: function (data) {
                console.log(data);
            },
            error: function (errorThrown) {
                alert(errorThrown);
                console.log(errorThrown);
            }
        });
    });

    // Volunteer Confirmation Email

    $('#notcnf').click(function () {

        var email = jQuery(this).attr('value');
        var evp_task_name = jQuery("#evp_task_name").attr('value');
        var cname = jQuery("#cname").attr('value');
        var ename = jQuery("#ename").attr('value');
        var vid = jQuery("#vid").attr('value');
        $.ajax({
            url: evp_ajaxurl,
            type: "post",
            data: {
                'action': 'evp_vol_submit',
                'email': email,
                'evp_task_name': evp_task_name,
                'cname': cname,
                'ename': ename,
                'vid': vid,
                'notcnf': 'notcnf'
            },
            success: function (data) {
                console.log(data);
            },
            error: function (errorThrown) {
                alert(errorThrown);
                console.log(errorThrown);
            }
        });
    });

// Jquery Validation Event
    jQuery("#post").validate();
    jQuery('#start_time').attr('autocomplete', 'off');
    jQuery('#end_time').attr('autocomplete', 'off');
});

