function checkPasswordStrength($pass1, $strengthResult, $submitButton, blacklistArray) {
    var pass1 = $pass1.val();

    // Reset the form & meter
    $submitButton.attr('disabled', 'disabled');
    $strengthResult.removeClass('short bad good strong');

    // Extend our blacklist array with those from the inputs & site data
    blacklistArray = blacklistArray.concat(wp.passwordStrength.userInputBlacklist())

    // Get the password strength
    var strength = wp.passwordStrength.meter(pass1, blacklistArray);

    // Add the strength meter results
    switch (strength) {

        case 2:
            $strengthResult.addClass('bad').html(pwsL10n.bad);
            break;

        case 3:
            $strengthResult.addClass('good').html(pwsL10n.good);
            break;

        case 4:
            $strengthResult.addClass('strong').html(pwsL10n.strong);
            break;

        case 5:
            $strengthResult.addClass('short').html(pwsL10n.mismatch);
            break;

        default:
            $strengthResult.addClass('short').html(pwsL10n.short);

    }

    return strength;
}


jQuery(document).ready(function ($) {

     // Binding to trigger checkPasswordStrength
    jQuery('.userpwweak').hide();
    jQuery('body').on('keyup', 'input[name=Password]',
            function (event) {
                checkPasswordStrength(
                        jQuery('input[name=Password]'), // First password field
                        jQuery('#password-strength'), // Strength meter
                        jQuery('input[type=submit]'), // Submit button
                        ['black', 'listed', 'word']        // Blacklisted words
                        );
            }
    );
});


// Tabs Single Event Page 


function openCity(evt, cityName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
}

jQuery(document).ready(function () {
    
// Volunteer form change submit button Text    
    jQuery("#volunteer_tab input[type='button']").val("Submit"); 
  
 // Jquery Required Step Add Volunteers  
  
    jQuery('#evp_next_step').validate({  
        rules: {
           
             'guardian_name': {
                required: true,
            },
              'guardian_email': {
                required: true,
            },
              'guardian_phone': {
                phoneUS: true,      
                required: true,
                },
            'evp_task_name[]': {
                required: true, 
            },
        },
    ignore: ':hidden:not("#evp_task_name")', 
    errorClass: 'invalid',  
        messages: {
               'guardian_name': {
                required: "Please Enter Name",
                },
                 'guardian_email': {
                required: "Please Enter Email",
                },
                'guardian_phone': {
                required: "Please Enter Phone Number",
                }, 
                 'evp_task_name[]': {
                required: "Please Select Volunteer Task",
                },
        },
         errorElement : 'div', 
    errorLabelContainer: '.errorTxt'
         }); 
        
        
        
  
jQuery('#evp_task_name').multiselect({  
    columns: 1,
    placeholder: 'Select volunteer task',
    selectAll: true
});

// Jquery Age is below 16 Years box show
jQuery('#evpguardian_details').click(function(){
      	if(jQuery('#evpguardian_details').is(':checked')) { 
                jQuery("#evpguardian_details_box").css("display", "block");
            } else {
                jQuery("#evpguardian_details_box").css("display", "none");
            } 
    });

});




