<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/*
 * Events Task Custom post type
 */

add_action('init', 'evp_event_task_post');

function evp_event_task_post() {
    register_post_type(
            'EvpEvents_Task', array(
        'labels' => array(
            'name' => 'Evp Events Task',
            'singular_name' => 'Evp Event Task',
            'add_new' => 'Add New',
            'add_new_item' => 'Add New Evp Event Task',
            'edit' => 'Edit',
            'edit_item' => 'Edit Evp Event Task',
            'new_item' => 'New Evp Event Task',
            'view' => 'View',
            'view_item' => 'View Evp Event Task',
            'search_items' => 'Search Evp Event Task',
            'not_found' => 'No Evp Event Task found',
            'not_found_in_trash' => 'No Evp Event Task found in Trash',
            'parent' => 'Parent evpevent_task'
        ),
        'public' => true,
        'menu_position' => 17,
        'supports' => array('title', 'editor'),
        'has_archive' => true,
        'show_in_menu' => false,
            )
    );
}
