<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/*
 *  Create custom Table If Not Exist  
 */

global $wpdb;
$table = $wpdb->prefix . 'wpbiker_form';
$charset_collate = $wpdb->get_charset_collate();
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

if (( $wpdb->get_var("show tables like '$table'") != $table)) {
  $sql = "CREATE TABLE {$table} (
  id mediumint(9) NOT NULL AUTO_INCREMENT,
  form_id mediumint(9) NOT NULL,
  event_id varchar(100),
  user_id varchar(100),
  task_name varchar(100),     
  arr_key TEXT,
  arr_val TEXT, 
  guardian_name varchar(100),
  guardian_email varchar(100),
  guardian_phone varchar(100),    
  datetime varchar(150),
  status mediumint(9) NOT NULL,
  expiry_email_status mediumint(9) NOT NULL,    
  UNIQUE KEY id (id)
  ) {$charset_collate};";
    dbDelta($sql);
}
 
