//  Volunteer Data Table

jQuery(document).ready(function(){
    
     jQuery('#evptable').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });

// Ajax for Volunteer Data Delete 

  jQuery('#delete').click(function(){
    var post_arr = [];

    // Get checked checkboxes
    jQuery('#evptable input[type=checkbox]').each(function() {
       if (jQuery(this).is(":checked")) {
        var id = this.id;
        var splitid = id.split('_');
        var postid = splitid[1];
        post_arr.push(postid);
        }
    });

    if(post_arr.length > 0){
        var isDelete = confirm("Do you really want to delete records?");
        if (isDelete == true) {
           // AJAX Request
          jQuery.ajax({
              url: evp_ajaxurl, 
              type: 'POST',
              data: {
              'action': 'evp_Volunteer_delete',      
              post_id: post_arr
                  },
              success: function(response){
                 jQuery.each(post_arr, function( i,l ){
                     jQuery("#tr_"+l).remove();
                   window.location.href = "";    
                 });
              }
           }); 
        } 
    } 
  });
 
});  
  
