<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
/**
 * The template for event Task Step
 *
 * @package WordPress
 */
global $post;
?>
<div id="evp_tasktab">
    <form method="post" action="#volunteer_tab"  id="evp_next_step"> 
        <div class="errorTxt"></div>        

        <?php
        /*
         * Get Event Task List wp Query Loop : 
         */
        $task_ids = get_post_meta($post->ID, 'evp_task_name', true);
        $args = array(
            'post_type' => 'evpevents_task',
            'posts_per_page' => -1,
            'post_status' => 'publish',
            'post__in' => explode(',', $task_ids),
            'order' => 'ASC',
        );

        $the_query = new WP_Query($args);

        if ($the_query->have_posts()) :
            ?>

            <p><input type="checkbox" name="evpguardian_details" value="yes" id="evpguardian_details">
                <?php _e('Are your Age is below 16 Years?', 'event-volunteer'); ?> </p>
            <div id="evpguardian_details_box" style="display:none;">
                <?php
                echo "<p>";
                _e('Please enter the parents or guardian below details.', 'event-volunteer');
                echo "</p>";
                ?>
                <p><label><?php _e("Name", "event-volunteer"); ?> <span class="evp-required" aria-required="true"> *</span></label></p>
                <p><input type="text"  name="guardian_name" id="guardian_name" required/></p>
                <p><label><?php _e("Email", "event-volunteer"); ?> <span class="evp-required" aria-required="true"> *</span></label></p>
                <p><input type="email"  name="guardian_email" id="guardian_email" required/></p>
                <p><label><?php _e("Phone Number", "event-volunteer"); ?> <span class="evp-required" aria-required="true"> *</span></label></p>
                <p><input type="text" name="guardian_phone" id="guardian_phone" required/></p> 
            </div> 

            <div class="form-group task-options"> 
                <select name="evp_task_name[]" id="evp_task_name" multiple="multiple" >  
                    <?php while ($the_query->have_posts()) : $the_query->the_post();
                        ?>        
                        <option value="<?php the_title(); ?>"/> <?php the_title(); ?></option>
                        <?php
                    endwhile;
                    echo '</select>';

                    echo '<div style="clear:both;"></div>';
                    echo '<button type="submit" id="evp_vol_next">';
                    _e('Next', 'event-volunteer');
                    echo '</button>';

                else:
// If no posts match this query, output this text. 
                    _e('Sorry, no task found admin is able to assign task to this event.');
                endif;

                wp_reset_postdata();
                ?>
                </form>
        </div>            </div> 


